export declare class _MatrixHelper {
    _m11: number;
    _m12: number;
    _m21: number;
    _m22: number;
    _offsetX: number;
    _offsetY: number;
    _type: any;
    constructor(m11: number, m12: number, m21: number, m22: number, offsetX: number, offSetY: number);
    _scale(scaleX: number, scaleY: number, centerX: number, centerY: number): _MatrixHelper;
    _clone(): _MatrixHelper;
    _setMatrix(m11: number, m12: number, m21: number, m22: number, offsetX: number, offsetY: number, type: _MatrixTypes): void;
    _translate(offsetX: number, offsetY: number): _MatrixHelper;
    _transform(x: number, y: number): [number, number];
    _multiply(matrix: _MatrixHelper): _MatrixHelper;
    readonly _identity: _MatrixHelper;
    _checkMatrixType(): void;
    _getTypeIndex(type: _MatrixTypes): number;
}
export declare class _TransformationStack {
    _currentTransform: _MatrixHelper;
    _initialTransform: _MatrixHelper;
    _transformStack: _MatrixHelper[];
    readonly _CurrentTransform: _MatrixHelper;
    constructor(initialTransform?: _MatrixHelper);
    _pushTransform(transformMatrix: _MatrixHelper): void;
    _popTransform(): void;
    private _clear;
    private _multiplyMatrices;
}
declare enum _MatrixTypes {
    Identity = 0,
    Scaling = 1,
    Translation = 2,
    scalingAndTranslation = 3,
    Unknown = 4
}
export {};
